Documentation Index

Fetch the complete documentation index at: https://documents.trocco.io/llms.txt

Use this file to discover all available pages before exploring further.

カスタムコネクタ一覧取得

Prev Next
Get
/api/custom_connectors

カスタムコネクタ定義の一覧を取得します。転送元(input)・転送先(output)を横断して返します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。
API KEYの作成方法は、TROCCO API KEYの作成を参照ください。

Query parameters
limit
integer (int64)

取得する最大件数を指定します。

Maximum200
Default50
cursor
string

取得開始レコードを示すページネーションカーソルを指定します。
レスポンスに含まれる next_cursor をセットすると、後続の一覧を取得できます。

ExampleeyJpZCI6MjF9
Responses
200

カスタムコネクタ一覧を返します。

Expand All
object
items
Array of object
object
id
integer (int64)

カスタムコネクタIDです。

Example1
name
string

カスタムコネクタ名です。

ExampleMy API Connector
description
string | null

メモです。

Exampledesc
url
string

ベースURLです。

Examplehttps://api.example.com
auth_type
string

認証方式です。

Valid values[ "api_key", "oauth2" ]
Exampleapi_key
transfer_type
string

転送方向です。転送元は input、転送先は output です。

Valid values[ "input", "output" ]
Exampleinput
next_cursor
string

後続のページネーションリクエストの取得開始レコードを示すカーソル値です。

401

Not authenticated.
認証エラーです。API KEYをご確認ください。